Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001993 [JEDI VCL] 00 JVCL Components trivial always 2004-07-22 21:03 2004-10-22 14:13
Reporter cpall View Status public  
Assigned To user72
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0001993: jvXMLDatabase Example Broken (Solution Included)
Description Example for jvXMLDatabase is broken. The data path points to the application exe directory and expects to find it's data as a sub-directory. The output path for all projects looks is supposed to be the bin directory, so I propose the following solution: Make the working directory (a setting in the project options) -- set that to "."

Then, change line 63 in ClassHospital to

FDatabase.TablesPath := GetCurrentDir + '\..\Data\';

Instead of referring to the exename.

Then the example will be able to find it's data.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0004809)
cpall (reporter)
2004-07-22 21:22

There is also a reference in ClassHospital.pas a couple lines down in GetDataPath but the code isn't being used and probably could be tossed altogether. However, more importantly, I did leave out that there is also a reference to Application.ExeName in ClassRequest.pas, line 61, which should look like:

  st := GetCurrentDir + '\..\Documents\' + st;

This makes the example work. It is a nice example.
(0005263)
user72
2004-09-25 03:29

Actually, it is a lot better to change the bin output folder to "..\"

- Issue History
Date Modified Username Field Change
2004-07-22 21:03 cpall New Issue
2004-07-22 21:22 cpall Note Added: 0004809
2004-09-25 03:29 user72 Note Added: 0005263
2004-10-22 14:13 user72 Status new => resolved
2004-10-22 14:13 user72 Resolution open => fixed
2004-10-22 14:13 user72 Assigned To => user72


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker